Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.search
Interface IPortalSearchResult

All Superinterfaces:
  ISearchResult

public interface IPortalSearchResult
extends ISearchResult

Subinterface of `ISearchResult` that provides convenience methods to retrieve the values of default fields.

Method Summary
`int` | `getClassID()` Gets the `int` value of `PortalField.CLASS_ID`.
`java.util.Date` | `getCreated()` Gets the `Date` value of `PortalField.CREATED`.
`java.lang.String` | `getExcerpt()` Gets the `String` value of `PortalField.TEXT_EXCERPT`.
`java.lang.String` | `getIconURL()` Gets the `String` value of `PlumtreeField.ICON_URL`.
`java.util.Date` | `getLastModified()` Gets the `Date` value of `PortalField.LAST_MODIFIED`.
`java.lang.String` | `getName()` Gets the `String` value of `PortalField.NAME`.
`int` | `getObjectID()` Gets the `int` value of `PortalField.OBJECT_ID`.
`int` | `getRank()` Gets the `int` value of `PlumtreeField.RANK`.
`java.lang.String` | `getURL()` Gets the `String` value of `PortalField.URL`.

Methods inherited from interface com.plumtree.remote.prc.search.ISearchResult
`fieldExists, getFieldAsDate, getFieldAsFloat, getFieldAsInt, getFieldAsObject, getFieldAsString, getFields`

Method Detail

### getName

    public java.lang.String getName()

  Gets the `String` value of `PortalField.NAME`.

  Returns:
    the `String` value of `PortalField.NAME`

### getExcerpt

    public java.lang.String getExcerpt()

  Gets the `String` value of `PortalField.TEXT_EXCERPT`.

  Returns:
    the `String` value of `PortalField.TEXT_EXCERPT`

### getURL

    public java.lang.String getURL()

  Gets the `String` value of `PortalField.URL`.

  Returns:
    the `String` value of `PortalField.URL`

### getCreated

    public java.util.Date getCreated()

  Gets the `Date` value of `PortalField.CREATED`. Note: `Date`s in the search server are only accurate to four minutes. `Date`s in the search server should remain sequential as they are indexed, although roundoff may result in two dates that were sequential on input being the same in the search server.

  Returns:
    the `Date` value of `PortalField.CREATED`

### getLastModified

    public java.util.Date getLastModified()

  Gets the `Date` value of `PortalField.LAST_MODIFIED`. Note: `Date`s in the search server are only accurate to four minutes. `Date`s in the search server should remain sequential as they are indexed, although roundoff may result in two dates that were sequential on input being the same in the search server.

  Returns:
    the `Date` value of `PortalField.LAST_MODIFIED`

### getObjectID

    public int getObjectID()

  Gets the `int` value of `PortalField.OBJECT_ID`.

  Returns:
    the `int` value of `PortalField.OBJECT_ID`

### getClassID

    public int getClassID()

  Gets the `int` value of `PortalField.CLASS_ID`.

  Returns:
    the `int` value of `PortalField.CLASS_ID`

### getRank

    public int getRank()

  Gets the `int` value of `PlumtreeField.RANK`.

  Returns:
    the `int` value of `PlumtreeField.RANK`

### getIconURL

    public java.lang.String getIconURL()

  Gets the `String` value of `PlumtreeField.ICON_URL`.

  Returns:
    the `String` value of `PlumtreeField.ICON_URL`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.